Bug 172419 - init.d startup script lacks 'status' option
init.d startup script lacks 'status' option
Status: NEW
Product: Red Hat Web Application Stack
Classification: Retired
Component: distribution (Show other bugs)
v1
All Linux
medium Severity low
: ---
: ---
Assigned To: Patrick Macdonald
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-04 02:23 EST by Dimitri Papadopoulos
Modified: 2009-11-20 01:41 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitri Papadopoulos 2005-11-04 02:23:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr-FR; rv:1.7.12) Gecko/20050920 Firefox/1.0.7

Description of problem:
# service --status-all
[...]
klogd (pid 2097) is running...
Usage: tomcat5 {start|stop|restart|condrestart}
tux is stopped
[...]
# 


Version-Release number of selected component (if applicable):
tomcat5-5.0.30-5jpp_6fc

How reproducible:
Always

Steps to Reproduce:
1. 1
2. 2
3. 3
  

Actual Results:  # service tomcat5 status
Usage: tomcat5 {start|stop|restart|condrestart}
# 

Expected Results:  # service tomcat5 status
tomcat5 is stopped
# 


Additional info:
Comment 1 Christian Iseli 2007-01-22 05:25:11 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Dimitri Papadopoulos 2007-01-22 06:45:49 EST
Still the case with Fedora core 6:

# service --status-all
[...]
dund est arrêté
Syntaxe : /etc/init.d/firstboot {start|stop}
gpm (pid 2772) en cours d'exécution...
[...]
# 

The problem is not with tomcat anymore in FC6, but with "firstboot".

I think it needs a global solution, not a per-package solution.
Comment 3 Dimitri Papadopoulos 2009-11-20 01:41:15 EST
Problem still there in Fedora 12 with bluetooth and firstboot:

# service --status-all
[...]
Le démon Avahi est en cours d'exécution
Syntaxe : /etc/init.d/bluetooth {start|stop}
btseed est arrêté
[...]
dnsmasq est arrêté
Syntaxe : /etc/init.d/firstboot {start|stop}
gpm (pid  1237) en cours d'exécution...
[...]
#

Note You need to log in before you can comment on or make changes to this bug.